Subject: bug#24435: 25.1; Problem using Hunspell

From: Agustin Martin <[email-masked]>
Date: Thu, 15 Sep 2016 15:41:23 +0200

On Wed, Sep 14, 2016 at 07:40:01PM +0300, Eli Zaretskii wrote:
> > From: Dmitri Paduchikh <[email-masked]>
> > Date: Wed, 14 Sep 2016 18:24:24 +0500
> > 
> > Judging from ispell.el it should work with Hunspell, so I tried to use
> > it. But attempts to check a word produce the following error message.
> > 
> > | Starting new Ispell process hunspell with ru_RU dictionary...
> > | hunspell release 3.1.12 or greater is required (ispell-check-version)
> > 
> > The latest version of Hunspell is 1.4.1 as can be seen here:
> > https://github.com/hunspell/hunspell/releases
> > 
> > As I understand, the problem arises because ispell-check-version finds
> > version information using regexp
> > 
> > "(but really Hunspell \\([0-9]+\\.[0-9\\.-]+\\)?)"
> > 
> > The output of hunspell -vv does not match it, hence the results.
> > 
> > $ hunspell -vv < /dev/null
> > Hunspell 1.4.0
> > $ 
> 
> They've changed the output in backward-incompatible ways.  Previous
> versions responded thusly:
> 
>   @(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)
> 
> Since this change breaks backward compatibility, does that mean
> Hunspell is no longer compatible with the Ispell-like interface that
> Emacs expects?

Hi,

I have been looking at hunspell git repo, 

https://github.com/hunspell/hunspell

That string is defined in src/tools/hunspell.cxx file (line 60,
HUNSPELL_PIPE_HEADING) and seems to still be there. No changes in it
since end of last January, and they were only formatting changes.

With hunspell-1.4.1 in Debian GNU/Linux (note that 1.4.0 version is wrong),

$ hunspell -vv < /dev/null
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.4.0)

$ hunspell -a < /dev/null
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.4.0)

Although by the way,

$ hunspell -va < /dev/null
Hunspell 1.4.0
$ hunspell -vva < /dev/null
Hunspell 1.4.0

Where does your hunspell come from?

Regards,

-- 
Agustin